Package com.smartgwt.client.data

# Class TextSettings

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.data.TextSettings

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `TextExportSettings`, `TextImportSettings`

public class TextSettings extends BaseClass
Common base class of `TextImportSettings`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextSettings()`
  `TextSettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `EscapingMode`
  `getEscapingMode()`
  `EscapingMode` expected for escaping special characters embedded in text values.
  `String[]`
  `getFieldList()`
  For export, a set of fields to export.
  `String`
  `getFieldSeparator()`
  Separator between field values.
  `JavaScriptObject`
  `getJsObj()`
  `String`
  `getLineSeparator()`
  Separator between Records.
  `JavaScriptObject`
  `getOrCreateJsObj()`
  `static TextSettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `boolean`
  `isCreated()`
  `TextSettings`
  `setEscapingMode(EscapingMode escapingMode)`
  `EscapingMode` expected for escaping special characters embedded in text values.
  `TextSettings`
  `setFieldList(String... fieldList)`
  For export, a set of fields to export.
  `TextSettings`
  `setFieldSeparator(String fieldSeparator)`
  Separator between field values.
  `void`
  `setJavaScriptObject(JavaScriptObject jsObj)`
  `TextSettings`
  `setLineSeparator(String lineSeparator)`
  Separator between Records.

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoID, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextSettings

    public TextSettings()

  - ### TextSettings

    public TextSettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static TextSettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setJavaScriptObject

    public void setJavaScriptObject(JavaScriptObject jsObj)
    Overrides:
      `setJavaScriptObject` in class `BaseClass`

  - ### create

    public JavaScriptObject create()
    Specified by:
      `create` in class `BaseClass`

  - ### isCreated

    public boolean isCreated()
    Overrides:
      `isCreated` in class `BaseClass`

  - ### getJsObj

    public JavaScriptObject getJsObj()
    Overrides:
      `getJsObj` in class `BaseClass`

  - ### getOrCreateJsObj

    public JavaScriptObject getOrCreateJsObj()
    Overrides:
      `getOrCreateJsObj` in class `BaseClass`

  - ### setEscapingMode

    public TextSettings setEscapingMode(EscapingMode escapingMode) throws IllegalStateException
    `EscapingMode` expected for escaping special characters embedded in text values.
    Parameters:
      `escapingMode` - New escapingMode value. Default value is "backslash"
    Returns:
      `TextSettings` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getEscapingMode

    public EscapingMode getEscapingMode()
    `EscapingMode` expected for escaping special characters embedded in text values.
    Returns:
      Current escapingMode value. Default value is "backslash"

  - ### setFieldList

    public TextSettings setFieldList(String... fieldList) throws IllegalStateException
    For export, a set of fields to export. Default is to export all DataSource fields.

    Fields may be specified that are not in the DataSource but for which data values are present in the provided Records. In this case the field is assumed to be of type "text".

    For import, names of DataSource fields to use to parse values, in order.

    If `fieldList` is unset, DataSource fields are used, in order.

    If more values exist in a given Record than the listed fields or than all DataSource fields, remaining values are ignored.

    Parameters:
      `fieldList` - New fieldList value. Default value is null
    Returns:
      `TextSettings` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getFieldList

    public String[] getFieldList()
    For export, a set of fields to export. Default is to export all DataSource fields.

    Fields may be specified that are not in the DataSource but for which data values are present in the provided Records. In this case the field is assumed to be of type "text".

    For import, names of DataSource fields to use to parse values, in order.

    If `fieldList` is unset, DataSource fields are used, in order.

    If more values exist in a given Record than the listed fields or than all DataSource fields, remaining values are ignored.

    Returns:
      Current fieldList value. Default value is null

  - ### setFieldSeparator

    public TextSettings setFieldSeparator(String fieldSeparator) throws IllegalStateException
    Separator between field values. Default is a comma character, producing CSV (comma-separated values) format.
    Parameters:
      `fieldSeparator` - New fieldSeparator value. Default value is ","
    Returns:
      `TextSettings` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getFieldSeparator

    public String getFieldSeparator()
    Separator between field values. Default is a comma character, producing CSV (comma-separated values) format.
    Returns:
      Current fieldSeparator value. Default value is ","

  - ### setLineSeparator

    public TextSettings setLineSeparator(String lineSeparator) throws IllegalStateException
    Separator between Records. For import, default of null means that either the Unix/Mac format of just a newline ("\n") or the typical DOS/Windows format of a carriage return and newline ("\r\n") will be accepted. For export, overridden in `TextExportSettings`.
    Parameters:
      `lineSeparator` - New lineSeparator value. Default value is null
    Returns:
      `TextSettings` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getLineSeparator

    public String getLineSeparator()
    Separator between Records. For import, default of null means that either the Unix/Mac format of just a newline ("\n") or the typical DOS/Windows format of a carriage return and newline ("\r\n") will be accepted. For export, overridden in `TextExportSettings`.
    Returns:
      Current lineSeparator value. Default value is null